Package wx :: Class GBSizerItem

[frames | no frames]

## Type GBSizerItem

    object --+
             |
        Object --+
                 |
         SizerItem --+
                     |
                    GBSizerItem

The wx.GBSizerItem class is used to track the additional data about items in a `wx.GridBagSizer` such as the item's position in the grid and how many rows or columns it spans.

Method Summary
GBSizerItem | ``__init__`(self)` Constructs an empty wx.GBSizerItem.
| `__del__(self)`
GBPosition | ``GetEndPos`(self)` Get the row and column of the endpoint of this item.
GridBagSizer | ``GetGBSizer`(self)` Get the sizer this item is a member of.
GBPosition | ``GetPos`(self)` Get the grid position of the item
| `GetPosTuple(self)`
GBSpan | ``GetSpan`(self)` Get the row and column spanning of the item
| `GetSpanTuple(self)`
bool | ``Intersects`(self, other)` Returns True if this item and the other item instersect.
bool | ``IntersectsPos`(self, pos, span)` Returns True if the given pos/span would intersect with this item.
| ``SetGBSizer`(self, sizer)` Set the sizer this item is a member of.
bool | ``SetPos`(self, pos)` If the item is already a member of a sizer then first ensure that there is no other item that would intersect with this one at the new position, then set the new position.
bool | ``SetSpan`(self, span)` If the item is already a member of a sizer then first ensure that there is no other item that would intersect with this one with its new spanning size, then set the new spanning.

Property Summary
| `EndPos`: See `GetEndPos`
| `GBSizer`: See `GetGBSizer` and `SetGBSizer`
| `Pos`: See `GetPos` and `SetPos`
| `Span`: See `GetSpan` and `SetSpan`
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

Constructs an empty wx.GBSizerItem. Either a window, sizer or spacer size will need to be set, as well as a position and span before this item can be used in a Sizer.

You will probably never need to create a wx.GBSizerItem directly as they are created automatically when the sizer's Add method is called.

  Returns:
    GBSizerItem
  Overrides:
    `wx.SizerItem.__init__`

### GetEndPos(self)

Get the row and column of the endpoint of this item.

  Returns:
    GBPosition

### GetGBSizer(self)

Get the sizer this item is a member of.

  Returns:
    GridBagSizer

### GetPos(self)

Get the grid position of the item

  Returns:
    GBPosition

### GetSpan(self)

Get the row and column spanning of the item

  Returns:
    GBSpan

### Intersects(self, other)

Returns True if this item and the other item instersect.

  Parameters:
    `other`
    (type=GBSizerItem)

  Returns:
    bool

### IntersectsPos(self, pos, span)

Returns True if the given pos/span would intersect with this item.

  Parameters:
    `pos`
    (type=GBPosition)

    `span`
    (type=GBSpan)

  Returns:
    bool

### SetGBSizer(self, sizer)

Set the sizer this item is a member of.

  Parameters:
    `sizer`
    (type=GridBagSizer)

### SetPos(self, pos)

If the item is already a member of a sizer then first ensure that there is no other item that would intersect with this one at the new position, then set the new position. Returns True if the change is successful and after the next Layout() the item will be moved.

  Parameters:
    `pos`
    (type=GBPosition)

  Returns:
    bool

### SetSpan(self, span)

If the item is already a member of a sizer then first ensure that there is no other item that would intersect with this one with its new spanning size, then set the new spanning. Returns True if the change is successful and after the next Layout() the item will be resized.

  Parameters:
    `span`
    (type=GBSpan)

  Returns:
    bool

Property Details

### EndPos

See `GetEndPos`

  Get Method:
    `GetEndPos`(self)

### GBSizer

See `GetGBSizer` and `SetGBSizer`

  Get Method:
    `GetGBSizer`(self)
  Set Method:
    `SetGBSizer`(self, sizer)

### Pos

See `GetPos` and `SetPos`

  Get Method:
    `GetPos`(self)
  Set Method:
    `SetPos`(self, pos)

### Span

See `GetSpan` and `SetSpan`

  Get Method:
    `GetSpan`(self)
  Set Method:
    `SetSpan`(self, span)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:05 2007 | http://epydoc.sf.net